Subject: [RFC PATCH v1 0/2] Add Hisilicon Djtag driver

From: [email-masked] (Tan Xiaojun)
Date: Mon, 25 Jul 2016 10:09:44 +0800

On 2016/7/22 21:27, Arnd Bergmann wrote:
> On Friday, July 22, 2016 11:56:49 AM CEST Mark Rutland wrote:
>> Hi,
>>
>> I understand that some SoC/socket level PMU is accessed via these
>> registers. It doesn't make sense to review either in isolation. Please
>> put together a unified series, with both the djtag accessors and the
>> PMU code.
>>
>> On it's own, it's *very* difficult to understand how this fits into the
>> SoC, and how it is to be used.
> 
> Is there anything else that the driver is used for?
> 
> Having it in drivers/soc/ feels wrong to me, and if there is only
> one user, I'd recommend having it as part of the same driver module
> as the code accessing it.
> 
> 	Arnd
> 

Many modules will use it, and they are waiting for djtag upstream. Maybe
it should not have been presented separately. I will think about it.

Thanks,
Xiaojun.

> .